# Confirmation Model

This model represents settlement data from the proccessor and SensePass, the entity contains all the required data for accounting reports.

### Confirmation Model

This model is referenced in "confirmations" field of [Transaction Model](/sensepay/transaction-api/models/transaction-model.md#transaction-entity) response body.

{% hint style="info" %}
Note: Multiple confirmations objects can be related to one transaction, for example after a refund or in a split payment scenario.
{% endhint %}

<table><thead><tr><th width="240.2188460730749">field</th><th width="150">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>confirmationNumber</td><td>string</td><td><p>example: 063-d9j09YsY1</p><p>Reference ID of the settlement</p></td></tr><tr><td>dateApproval</td><td>date</td><td><p>example: 2019-12-19T09:47:59.105Z</p><p>Settlement Date</p></td></tr><tr><td>paymentMethodName</td><td>string</td><td><p>example: PayPal</p><p>Payment Provider Name</p></td></tr><tr><td>approvedBy</td><td>string</td><td><p>example: PayPal</p><p>Payment Acquirer</p></td></tr><tr><td>providerId</td><td>string</td><td><p>example: uGfNuwEGiP18SUnTUEo1/atTdesDnhDhZ/8i7G9NAEg=</p><p>Payment Provider ID</p></td></tr><tr><td>requestID</td><td>string</td><td><p>example: a4dbf66e-d3f1-4a29-baf7-2591424a9a0c</p><p>Provider's Request ID</p></td></tr><tr><td>referenceNumber</td><td>string</td><td><p>example: 1778298289</p><p>Provider's Payment Reference Number</p></td></tr><tr><td>authNumber</td><td>string</td><td><p>example: 123213dsf13111</p><p>Provider's Payment Authorization Number </p><p>(For credit cards only)</p></td></tr><tr><td>acquirer</td><td>string</td><td><p>example: Visa</p><p>Provider's Payment Acquirer<br>(For credit cards only)</p></td></tr><tr><td>voucher</td><td>string</td><td><p>example: AX09421</p><p>Provider's Payment Voucher<br>(For credit cards only)</p></td></tr><tr><td>lastFourDigits</td><td>string</td><td><p>example: 8858</p><p>Credit Card Last 4 Digits<br>(For credit cards only)</p></td></tr><tr><td>cardExpiration</td><td>string</td><td>example: 01/26<br>MM/YY<br>Credit card expiration date<br>(For credit cards only)</td></tr><tr><td>installments</td><td>number</td><td><p>example: 1</p><p>Payment Installments</p></td></tr><tr><td>sensePassReferenceId</td><td>string</td><td><p>example: 34e209ea8b24cc831cf</p><p>SensePass ReferenceId ID</p></td></tr><tr><td>settlement</td><td>object</td><td><a data-mention href="/pages/cxaWxnCb1tOdih3OpZ1t">/pages/cxaWxnCb1tOdih3OpZ1t</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/confirmation-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
